# Created by pyp2rpm-3.3.5
%global pypi_name libcst

%global common_description %{expand:
LibCST parses Python source code as a CST tree that keeps all formatting
details (comments, whitespaces, parentheses, etc). It's useful for building
automated refactoring (codemod) applications and linters.

LibCST creates a compromise between an Abstract Syntax Tree (AST) and a
traditional Concrete Syntax Tree (CST). By carefully reorganizing and naming
node types and fields, it creates a lossless CST that looks and feels like an
AST.}

Name:           python-%{pypi_name}
Version:        0.3.17
Release:        1%{?dist}
Summary:        A concrete syntax tree with AST-like properties for Python 3

License:        MIT
URL:            https://github.com/Instagram/LibCST
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pyyaml) >= 5.2
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(typing-inspect) >= 0.4

%description
%{common_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%if 0%{?fedora} < 33 || 0%{?rhel} < 9
%py_provides    python3-%{pypi_name}
%endif

%description -n python3-%{pypi_name}
%{common_description}

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove tests failing due to missing dependencies
rm -f \
  libcst/codemod/tests/test_codemod_cli.py \
  libcst/metadata/tests/test_full_repo_manager.py \
  libcst/metadata/tests/test_type_inference_provider.py \
  libcst/tests/test_fuzz.py \
  libcst/tests/test_pyre_integration.py
# Remove otherwise broken tests
rm -f \
  libcst/codegen/tests/test_codegen_clean.py\
  libcst/tests/test_type_enforce.py 

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Mar 02 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.17-1
- Initial package.
